Loading...
Searching...
No Matches
LCM.LCM.LCMDataOutputStream Class Referencesealed
Inheritance diagram for LCM.LCM.LCMDataOutputStream:

## Public Member Functions

| LCMDataOutputStream (int sz)
| LCMDataOutputStream (byte[] buf)
void | Reset ()
override void | Write (byte[] b)
override void | Write (byte[] b, int off, int len)
override void | Write (byte b)
override void | Write (bool v)
override void | Write (sbyte v)
void | WriteBytes (string s)
override void | Write (char v)
void | WriteChars (string s)
void | WriteStringZ (string s)
| Write a zero-terminated string consisting of 8 bit characters.
override void | Write (double v)
override void | Write (float v)
override void | Write (int v)
override void | Write (long v)
override void | Write (short v)
void | WriteUTF (string s)
byte[] | ToByteArray ()
| Makes a copy of the internal buffer.

## Properties

byte[] | Buffer`[get]`
| Returns the internal buffer, which may be longer than the buffer that has been written to so far.
int | Length`[get]`
| Get the number of bytes that have been written to the buffer.

The documentation for this class was generated from the following file:

- lcm/lcm/LCMDataOutputStream.cs